
QGIS Application - Bug report #17909

QGIS crash when counting features by value

2018-01-21 02:10 PM - Philippe Weber

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:2.18.15 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 25805

Description

    1. open qgis

    2. select a layer

    3. count features by value (F3)

    4. enter value

    5. select feature (click)

    6. open attribute table

    7. toggle editing

=> crash

or via

    1. identify feature

    2. identify results opens

    3. toggle editing

=> crash

History

#1 - 2018-01-21 04:10 PM - Jürgen Fischer

- Subject changed from Absturz QGIS, Objekte nach Wert wählen to QGIS crash when counting features by value

#2 - 2018-01-21 04:13 PM - Jürgen Fischer

- Description updated

Please file tickets in English.

#3 - 2018-01-22 03:46 PM - Denis Rouzaud

- Status changed from Open to Feedback

I cannot reproduce.

Do you have any plugin installed? If yes, can you try to disable them if it fixes the issue?

#4 - 2018-01-24 04:38 PM - Philippe Weber

- File QGIS 2.18.16-1 print screen after crash.pdf added

I made a new install with QGIS 2.18.16 with no plugin installed on it and it crashs again.
Crash short way:

    1. open qgis

    2. select a layer (shape)

    3. count features by value (F3)(must stay open)

    4. enter value

    5. select feature (click)

    6. toggle editing

=> crash

#5 - 2018-02-22 02:41 PM - Giovanni Manghi

Philippe Weber wrote:

I made a new install with QGIS 2.18.16 with no plugin installed on it and it crashs again.

Crash short way:

    1. open qgis

    2. select a layer (shape)

    3. count features by value (F3)(must stay open)

    4. enter value

    5. select feature (click)

    6. toggle editing

=> crash

cannot replicate on 2.18.16 on Windows. Note: F3 = SELECT by value (not COUNT).

#6 - 2019-01-21 12:34 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-02-11 12:24 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

Absturz QGIS, Objekte nach Wert wählen.pdf 289 KB 2018-01-21 Philippe Weber

QGIS 2.18.16-1 print screen after crash.pdf 467 KB 2018-01-24 Philippe Weber
